Subject: bug#34945: Guix repository `make check` failing tests

From: mikadoZero <[email-masked]>
Date: Sat, 30 Mar 2019 08:06:22 -0400

When I run the test that failed as a non root user it passes.

PASS: tests/pack.scm
============================================================================
Testsuite summary for GNU Guix 0.16.0.4215-1aa66
============================================================================
# TOTAL: 4
# PASS:  4
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================

mikadoZero writes:

> Ludovic Courtès writes:
>
>> Hi,
>>
>> mikadoZero <[email-masked]> skribis:
>>
>>> @ build-started /home/guix/u/guix/failedTests/guix/test-tmp/store/mps9fhh4frs84izvwl1pyl8hvyq593is-guile-2.0.9.tar.xz.drv - x86_64-linux /home/guix/u/guix/failedTests/guix/test-tmp/var/log/guix/drvs/mp//s9fhh4frs84izvwl1pyl8hvyq593is-guile-2.0.9.tar.xz.drv.bz2 16915
>>> guix perform-download: error: refusing to run with elevated privileges (UID 0)
>>> builder for `/home/guix/u/guix/failedTests/guix/test-tmp/store/mps9fhh4frs84izvwl1pyl8hvyq593is-guile-2.0.9.tar.xz.drv' failed with exit code 1
>>
>> I think the failure stems from the fact that you’re running “make check”
>> as root.  You’re running it as root, right?  Can you try as non-root?
>>
>> Thanks,
>> Ludo’.
>
> I will try it with a non root user and share the results.